For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms.txt. For full documentation content, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms-full.txt.

# List simulation cases

GET https://api.synthflow.ai/v2/simulation_cases

List simulation cases with pagination and optional filtering.

Reference: https://docs.synthflow.ai/api-reference/platform-api/simulations/list-simulation-cases

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /simulation_cases:
    get:
      operationId: list-simulation-cases
      summary: List simulation cases
      description: List simulation cases with pagination and optional filtering.
      tags:
        - ''
      parameters:
        - name: page_number
          in: query
          description: Page number.
          required: false
          schema:
            type: integer
            default: 1
        - name: page_size
          in: query
          description: Number of items per page.
          required: false
          schema:
            type: integer
            default: 10
        - name: search
          in: query
          description: Search term for simulation case names.
          required: false
          schema:
            type: string
        - name: simulation_case_type
          in: query
          description: Filter by simulation case type.
          required: false
          schema:
            $ref: >-
              #/components/schemas/SimulationCasesGetParametersSimulationCaseType
        - name: suite_id
          in: query
          description: Filter by simulation suite ID.
          required: false
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/list-simulation-cases_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/List-simulation-casesRequestBadRequestError
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    SimulationCasesGetParametersSimulationCaseType:
      type: string
      enum:
        - custom
        - agent_based
      title: SimulationCasesGetParametersSimulationCaseType
    status:
      type: string
      description: Whether the request was successful.
      title: status
    pagination:
      type: object
      properties:
        total_records:
          type: integer
        limit:
          type: integer
        offset:
          type: integer
      title: pagination
    SimulationCaseReadOutType:
      type: string
      enum:
        - custom
        - agent_based
      title: SimulationCaseReadOutType
    SimulationCaseReadOutCallSuccessType:
      type: string
      enum:
        - all
        - any
      title: SimulationCaseReadOutCallSuccessType
    SimulationCaseReadOutBaseAgent:
      type: object
      properties:
        model_id:
          type: string
        agent_name:
          type: string
        agent_type:
          type: string
        voice_engine_type:
          type: string
        phone_number:
          type:
            - string
            - 'null'
        updated_at:
          type: string
          format: date-time
        image_url:
          type:
            - string
            - 'null'
      title: SimulationCaseReadOutBaseAgent
    SimulationCaseReadOut:
      type: object
      properties:
        simulation_case_id:
          type: string
          format: uuid
        workspace_id:
          type: string
        suite_id:
          type:
            - string
            - 'null'
          format: uuid
          description: ID of the simulation suite this case belongs to.
        name:
          type: string
        prompt:
          type: string
        type:
          $ref: '#/components/schemas/SimulationCaseReadOutType'
        success_criteria:
          type: array
          items:
            type: string
        call_success_type:
          $ref: '#/components/schemas/SimulationCaseReadOutCallSuccessType'
        base_agent:
          oneOf:
            - $ref: '#/components/schemas/SimulationCaseReadOutBaseAgent'
            - type: 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      description: Simulation case details.
      title: SimulationCaseReadOut
    SimulationCasesGetResponsesContentApplicationJsonSchemaResponse:
      type: object
      properties:
        pagination:
          $ref: '#/components/schemas/pagination'
        items:
          type: array
          items:
            $ref: '#/components/schemas/SimulationCaseReadOut'
      title: SimulationCasesGetResponsesContentApplicationJsonSchemaResponse
    list-simulation-cases_Response_200:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/status'
        response:
          $ref: >-
            #/components/schemas/SimulationCasesGetResponsesContentApplicationJsonSchemaResponse
      title: list-simulation-cases_Response_200
    List-simulation-casesRequestBadRequestError:
      type: object
      properties: {}
      title: List-simulation-casesRequestBadRequestError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/simulation_cases"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/simulation_cases"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/simulation_cases")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthflow.ai/v2/simulation_cases")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/simulation_cases");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/simulation_cases")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```